package com.ozs.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ozs.common.annotation.Excel;
import com.ozs.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 进路信息表
 * </p>
 *
 * @author ozs
 * @since 2023-04-11
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class BaseRouteMassage  implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 车站编码
     */
    @Excel(name = "车站编码")
    private String stationCode;

    /**
     * 车站名称
     */
    @Excel(name = "车站名称")
    private String stationName;

    /**
     * 里程位置
     */
    @Excel(name = "里程位置")
    private Integer mileagePosition;


    /**
     * 里程位置字符串
     */
    @TableField(exist = false)
    private String mileagePositionName;
    
    /**
     * 进路股道
     */
    @Excel(name = "进路股道")
    private Integer routeStationTrack;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
}
